﻿Public Class EnumValueToUnderlyingTypeConverter
    Implements IValueConverter

    Public Function Convert(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
        If Not TypeOf value Is [Enum] Then
            Return String.Format("value ({0}) is not an Enum", If(value Is Nothing, "null", value.GetType.Name))
        End If
        Return System.Convert.ChangeType(value, [Enum].GetUnderlyingType(value.GetType))
    End Function

    Public Function ConvertBack(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
        Return Binding.DoNothing
    End Function

End Class
