﻿Public Class EnumValuesList
    Implements IEnumerable

    Public Property EnumType As Type

    Public Function GetEnumerator() As System.Collections.IEnumerator Implements System.Collections.IEnumerable.GetEnumerator
        If EnumType Is Nothing OrElse Not EnumType.IsEnum Then
            Return Enumerable.Empty(Of Object).GetEnumerator
        End If
        Dim Temp = EnumType.GetEnumValues
        Array.Sort(Temp)
        Return Temp.GetEnumerator
    End Function

End Class
