﻿
Namespace GamepadData

    Public Enum GamepadInput As Integer
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.A)> <DisplayName("A")> A = 1
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.B)> <DisplayName("B")> B = 2
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.X)> <DisplayName("X")> X = 3
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.Y)> <DisplayName("Y")> Y = 4
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.LeftBumper)> <DisplayName("Linker Bumper")> LeftBumper = 5
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.RightBumper)> <DisplayName("Rechter Bumper")> RightBumper = 6
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.DPadUp)> <DisplayName("D-Pad Hoch")> DPadUp = 7
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.DPadDown)> <DisplayName("D-Pad Runter")> DPadDown = 8
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.DPadLeft)> <DisplayName("D-Pad Links")> DPadLeft = 9
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.DPadRight)> <DisplayName("D-Pad Rechts")> DPadRight = 10
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.Back)> <DisplayName("Back")> Back = 11
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.Start)> <DisplayName("Start")> Start = 12
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.LeftStickButton)> <DisplayName("Linke Stick-Taste")> LeftStickButton = 13
        <GamepadInputKind(GamepadInputKind.Button)> <XInputButton(XInput.Button.RightStickButton)> <DisplayName("Rechte Stick-Taste")> RightStickButton = 14
        <GamepadInputKind(GamepadInputKind.Trigger)> <XInputTrigger(XInput.Trigger.Left)> <DisplayName("Linker Trigger")> LeftTrigger = 15
        <GamepadInputKind(GamepadInputKind.Trigger)> <XInputTrigger(XInput.Trigger.Right)> <DisplayName("Rechter Trigger")> RightTrigger = 16
        <GamepadInputKind(GamepadInputKind.Stick)> <XInputStick(XInput.Stick.Left)> <DisplayName("Linker Stick")> LeftStick = 17
        <GamepadInputKind(GamepadInputKind.Stick)> <XInputStick(XInput.Stick.Right)> <DisplayName("Rechter Stick")> RightStick = 18
    End Enum

End Namespace
