﻿
Namespace KeyBinding.Actions

    Public Class KeyBindingPublicActionEventArgs
        Inherits EventArgs

        Dim _SenderGamepad As GamepadData.Gamepad
        Public ReadOnly Property SenderGamepad As GamepadData.Gamepad
            Get
                Return _SenderGamepad
            End Get
        End Property

        Dim _SenderAction As KeyBindingAction
        Public ReadOnly Property SenderAction As KeyBindingAction
            Get
                Return _SenderAction
            End Get
        End Property

        Public Sub New(NewSenderGamepad As GamepadData.Gamepad, NewSenderAction As KeyBindingAction)
            _SenderGamepad = NewSenderGamepad
            _SenderAction = NewSenderAction
        End Sub

    End Class

End Namespace
