﻿
Namespace KeyBinding.Serialization

    Public Class SerializationContext

        Dim _ReferencableConfigurations As New Dictionary(Of KeyBinding.Configurations.KeyBindingConfiguration, Guid)
        Public ReadOnly Property ReferencableConfigurations As Dictionary(Of KeyBinding.Configurations.KeyBindingConfiguration, Guid)
            <DebuggerStepThrough()>
            Get
                Return _ReferencableConfigurations
            End Get
        End Property

        Public Function GetConfigurationIdentifier(Configuration As KeyBinding.Configurations.KeyBindingConfiguration) As Guid
            If Configuration Is Nothing Then
#If DEBUG Then
                Stop
#End If
                Return Guid.Empty
            End If
            Return ReferencableConfigurations(Configuration)
        End Function

    End Class

End Namespace
