﻿
Namespace Native.SendInput

    Public Enum VirtualKey As Int16
        LBUTTON = &H1
        RBUTTON = &H2
        CANCEL = &H3
        MBUTTON = &H4
        XBUTTON1 = &H5
        XBUTTON2 = &H6
        BACK = &H8
        TAB = &H9
        CLEAR = &HC
        [RETURN] = &HD
        SHIFT = &H10
        CONTROL = &H11
        MENU = &H12
        PAUSE = &H13
        CAPITAL = &H14
        KANA = &H15
        HANGUEL = &H15
        HANGUL = &H15
        JUNJA = &H17
        FINAL = &H18
        HANJA = &H19
        KANJI = &H19
        ESCAPE = &H1B
        CONVERT = &H1C
        NONCONVERT = &H1D
        ACCEPT = &H1E
        MODECHANGE = &H1F
        SPACE = &H20
        PRIOR = &H21
        [NEXT] = &H22
        [END] = &H23
        HOME = &H24
        LEFT = &H25
        UP = &H26
        RIGHT = &H27
        DOWN = &H28
        [SELECT] = &H29
        PRINT = &H2A
        EXECUTE = &H2B
        SNAPSHOT = &H2C
        INSERT = &H2D
        DELETE = &H2E
        HELP = &H2F
        D0 = &H30
        D1 = &H31
        D2 = &H32
        D3 = &H33
        D4 = &H34
        D5 = &H35
        D6 = &H36
        D7 = &H37
        D8 = &H38
        D9 = &H39
        A = &H41
        B = &H42
        C = &H43
        D = &H44
        E = &H45
        F = &H46
        G = &H47
        H = &H48
        I = &H49
        J = &H4A
        K = &H4B
        L = &H4C
        M = &H4D
        N = &H4E
        O = &H4F
        P = &H50
        Q = &H51
        R = &H52
        S = &H53
        T = &H54
        U = &H55
        V = &H56
        W = &H57
        X = &H58
        Y = &H59
        Z = &H5A
        LWIN = &H5B
        RWIN = &H5C
        APPS = &H5D
        SLEEP = &H5F
        NUMPAD0 = &H60
        NUMPAD1 = &H61
        NUMPAD2 = &H62
        NUMPAD3 = &H63
        NUMPAD4 = &H64
        NUMPAD5 = &H65
        NUMPAD6 = &H66
        NUMPAD7 = &H67
        NUMPAD8 = &H68
        NUMPAD9 = &H69
        MULTIPLY = &H6A
        ADD = &H6B
        SEPARATOR = &H6C
        SUBTRACT = &H6D
        [DECIMAL] = &H6E
        DIVIDE = &H6F
        F1 = &H70
        F2 = &H71
        F3 = &H72
        F4 = &H73
        F5 = &H74
        F6 = &H75
        F7 = &H76
        F8 = &H77
        F9 = &H78
        F10 = &H79
        F11 = &H7A
        F12 = &H7B
        F13 = &H7C
        F14 = &H7D
        F15 = &H7E
        F16 = &H7F
        F17 = &H80
        F18 = &H81
        F19 = &H82
        F20 = &H83
        F21 = &H84
        F22 = &H85
        F23 = &H86
        F24 = &H87
        NUMLOCK = &H90
        SCROLL = &H91
        LSHIFT = &HA0
        RSHIFT = &HA1
        LCONTROL = &HA2
        RCONTROL = &HA3
        LMENU = &HA4
        RMENU = &HA5
        BROWSER_BACK = &HA6
        BROWSER_FORWARD = &HA7
        BROWSER_REFRESH = &HA8
        BROWSER_STOP = &HA9
        BROWSER_SEARCH = &HAA
        BROWSER_FAVORITES = &HAB
        BROWSER_HOME = &HAC
        VOLUME_MUTE = &HAD
        VOLUME_DOWN = &HAE
        VOLUME_UP = &HAF
        MEDIA_NEXT_TRACK = &HB0
        MEDIA_PREV_TRACK = &HB1
        MEDIA_STOP = &HB2
        MEDIA_PLAY_PAUSE = &HB3
        LAUNCH_MAIL = &HB4
        LAUNCH_MEDIA_SELECT = &HB5
        LAUNCH_APP1 = &HB6
        LAUNCH_APP2 = &HB7
        OEM_1 = &HBA
        OEM_PLUS = &HBB
        OEM_COMMA = &HBC
        OEM_MINUS = &HBD
        OEM_PERIOD = &HBE
        OEM_2 = &HBF
        OEM_3 = &HC0
        OEM_4 = &HDB
        OEM_5 = &HDC
        OEM_6 = &HDD
        OEM_7 = &HDE
        OEM_8 = &HDF
        OEM_102 = &HE2
        PROCESSKEY = &HE5
        PACKET = &HE7
        ATTN = &HF6
        CRSEL = &HF7
        EXSEL = &HF8
        EREOF = &HF9
        PLAY = &HFA
        ZOOM = &HFB
        NONAME = &HFC
        PA1 = &HFD
        OEM_CLEAR = &HFE
    End Enum

End Namespace
