﻿
Namespace Views.KeyBindingConfigurationDialog

    Public Class BoundActionListContentTemplateSelector
        Inherits DataTemplateSelector

        Public Overrides Function SelectTemplate(item As Object, container As DependencyObject) As DataTemplate
            If TypeOf item Is ViewModels.KeyBindingConfigurationDialogSubViewModel Then
                Return DirectCast(DirectCast(container, FrameworkElement).TryFindResource(String.Format("KeyBindingConfigurationDialog_KeyBindingDataTemplate_{0}_{1}", item.GetType.Namespace.Split("."c).Last, item.GetType.Name)), DataTemplate)
            End If
            Return MyBase.SelectTemplate(item, container)
        End Function

    End Class

End Namespace
