﻿
Namespace Views.KeyBindingConfigurationDialog.ViewModels.Button

    <ViewModelForAttribute(GetType(KeyBinding.Actions.Button.ChangeConfigurationAction))>
    Public Class ChangeConfigurationAction
        Inherits KeyBindingConfigurationDialogSubViewModel

        Public Overrides ReadOnly Property IsValid As Boolean
            Get
                Return CastedTarget.TargetConfiguration IsNot Nothing
            End Get
        End Property

        Dim _CastedTarget As KeyBinding.Actions.Button.ChangeConfigurationAction
        Public ReadOnly Property CastedTarget As KeyBinding.Actions.Button.ChangeConfigurationAction
            Get
                Return _CastedTarget
            End Get
        End Property

        Public Sub New(NewTarget As KeyBinding.Actions.Button.ChangeConfigurationAction)
            MyBase.New(NewTarget)
            _CastedTarget = NewTarget
            AddExternalPropertyDependency("IsValid", _CastedTarget, "TargetConfiguration")
        End Sub

    End Class

End Namespace
