﻿
Namespace Views.KeyBindingConfigurationDialog.ViewModels.Trigger

    <ViewModelForAttribute(GetType(KeyBinding.Actions.Trigger.DebugTriggerAction))>
    Public Class DebugTriggerAction
        Inherits KeyBindingConfigurationDialogSubViewModel

        Public Overrides ReadOnly Property IsValid As Boolean
            Get
                Return True
            End Get
        End Property

        Dim _CastedTarget As KeyBinding.Actions.Trigger.DebugTriggerAction
        Public ReadOnly Property CastedTarget As KeyBinding.Actions.Trigger.DebugTriggerAction
            Get
                Return _CastedTarget
            End Get
        End Property

        Public Sub New(NewTarget As KeyBinding.Actions.Trigger.DebugTriggerAction)
            MyBase.New(NewTarget)
            _CastedTarget = NewTarget
        End Sub

    End Class

End Namespace
