﻿
Namespace Views.MainWindow

    Public Class KeyBindingConfigurationViewModel
        Inherits ViewModelBase(Of KeyBinding.Configurations.KeyBindingConfiguration)

        Public Event Remove(Sender As KeyBindingConfigurationViewModel)
        Public ReadOnly Property RemoveCommand As DelegateCommand
            Get
                Static Temp As New DelegateCommand(Sub() RaiseEvent Remove(Me))
                Return Temp
            End Get
        End Property

        Public Event MoveUp(Sender As KeyBindingConfigurationViewModel)
        Public ReadOnly Property MoveUpCommand As DelegateCommand
            Get
                Static Temp As New DelegateCommand(Sub() RaiseEvent MoveUp(Me))
                Return Temp
            End Get
        End Property

        Public Event MoveDown(Sender As KeyBindingConfigurationViewModel)
        Public ReadOnly Property MoveDownCommand As DelegateCommand
            Get
                Static Temp As New DelegateCommand(Sub() RaiseEvent MoveDown(Me))
                Return Temp
            End Get
        End Property

        Public Event Edit(Sender As KeyBindingConfigurationViewModel)
        Public ReadOnly Property EditCommand As DelegateCommand
            Get
                Static Temp As New DelegateCommand(Sub() RaiseEvent Edit(Me))
                Return Temp
            End Get
        End Property

        Public Sub New(NewTarget As KeyBinding.Configurations.KeyBindingConfiguration)
            MyBase.New(NewTarget)
        End Sub

    End Class

End Namespace
