﻿
Namespace Views.MultiActionSelectorWindow

    Public Class NonZeroToVisibilityConverter
        Implements IValueConverter

        Public Function Convert(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
            If Not TypeOf value Is Integer Then
                Return Binding.DoNothing
            End If
            Return (DirectCast(value, Integer) <> 0).ToVisibility
        End Function

        Public Function ConvertBack(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
            Return Binding.DoNothing
        End Function

    End Class

End Namespace
