﻿
Namespace Views.MultiActionSelectorWindow

    Public Class ReverseSubActionsConverter
        Implements IValueConverter

        Public Function Convert(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
            If TypeOf value Is ObservableCollection(Of MultiActionSubActionViewModel) Then
                Return New ObservableReverseCollection _
                       (Of MultiActionSubActionViewModel,  _
                           ObservableCollection(Of MultiActionSubActionViewModel)) _
                       (DirectCast(value, ObservableCollection(Of MultiActionSubActionViewModel)))
            ElseIf TypeOf value Is ReadOnlyObservableCollection(Of MultiActionSubActionViewModel) Then
                Return New ObservableReverseCollection _
                       (Of MultiActionSubActionViewModel,  _
                           ReadOnlyObservableCollection(Of MultiActionSubActionViewModel)) _
                       (DirectCast(value, ReadOnlyObservableCollection(Of MultiActionSubActionViewModel)))
            Else
                Return Binding.DoNothing
            End If
        End Function

        Public Function ConvertBack(value As Object, targetType As System.Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
            Return Binding.DoNothing
        End Function

    End Class

End Namespace
