﻿Public Class DisplayNameAttribute
    Inherits Attribute

    Dim _DisplayName As String
    Public ReadOnly Property DisplayName As String
        Get
            Return _DisplayName
        End Get
    End Property

    Public Sub New(NewDisplayName As String)
        _DisplayName = NewDisplayName
    End Sub

    Public Overrides Function ToString() As String
        Return String.Format("<DisplayName({0})>", DisplayName)
    End Function

End Class
