﻿
Namespace KeyBinding.Actions.Button

    Public MustInherit Class ButtonKeyBindingActionBase
        Inherits KeyBindingAction

        Dim ButtonDownStates As New Dictionary(Of GamepadData.Gamepad, Boolean)

        Public Sub UpdateIsButtonDown(IsButtonDown As Boolean, SenderGamepad As GamepadData.Gamepad)
            If ButtonDownStates.GetOrNew(SenderGamepad) <> IsButtonDown Then
                ButtonDownStates(SenderGamepad) = IsButtonDown
                OnIsButtonDownChanged(IsButtonDown, SenderGamepad)
            End If
        End Sub

        Protected MustOverride Sub OnIsButtonDownChanged(IsButtonDown As Boolean, SenderGamepad As GamepadData.Gamepad)

    End Class

End Namespace
