﻿
<AttributeUsage(AttributeTargets.Field)>
Public Class SlopeModeExponentAttribute
    Inherits Attribute

    Dim _Exponent As Double
    Public ReadOnly Property Exponent As Double
        <DebuggerStepThrough()>
        Get
            Return _Exponent
        End Get
    End Property

    Public Sub New(NewExponent As Double)
        _Exponent = NewExponent
    End Sub

    Public Overrides Function ToString() As String
        Return String.Format("<SlopeModeExponent({0})>", Exponent)
    End Function

End Class
