﻿
Namespace KeyBinding.Serialization

    '<AttributeUsage(AttributeTargets.Class)>
    <AttributeUsage(AttributeTargets.All)>
    Public Class SerializableThingAttribute
        Inherits Attribute

        Dim _TagName As String
        Public ReadOnly Property TagName As String
            <DebuggerStepThrough()>
            Get
                Return _TagName
            End Get
        End Property

        Public Sub New(NewTagName As String)
            _TagName = NewTagName
        End Sub

    End Class

End Namespace
