﻿
Namespace Views.KeyBindingConfigurationDialog.ViewModels.Button

    <ViewModelForAttribute(GetType(KeyBinding.Actions.Button.MouseButtonAction))>
    Public Class MouseButtonAction
        Inherits KeyBindingConfigurationDialogSubViewModel

        Public Overrides ReadOnly Property IsValid As Boolean
            Get
                Return True
            End Get
        End Property

        Dim _CastedTarget As KeyBinding.Actions.Button.MouseButtonAction
        Public ReadOnly Property CastedTarget As KeyBinding.Actions.Button.MouseButtonAction
            Get
                Return _CastedTarget
            End Get
        End Property

        Public Sub New(NewTarget As KeyBinding.Actions.Button.MouseButtonAction)
            MyBase.New(NewTarget)
            _CastedTarget = NewTarget
        End Sub

    End Class

End Namespace
