﻿
Namespace Views.KeyBindingConfigurationDialog.ViewModels

    Public Class ViewModelForAttribute
        Inherits Attribute

        Dim _TargetType As Type
        Public ReadOnly Property TargetType As Type
            Get
                Return _TargetType
            End Get
        End Property

        Public Sub New(NewTargetType As Type)
            _TargetType = NewTargetType
        End Sub

        Public Overrides Function ToString() As String
            Return String.Format("<ViewModelFor({0})>", TargetType)
        End Function

    End Class

End Namespace
